Description

While playing Doom 2 with PWAD files, when you press F2 to save a game, it defaults the save name to the name of the PWAD
followed by the level name from the IWAD. It should use the level name from the PWAD instead.

Related issues:
Related to Feature #1203: Additional save slots — revised save management Progressed  2003-06-20

History

#1 - 2014-03-13 03:20 - danij

Can you give an example of PWAD which exhibits the problem? The autogenerated savegame name depends on various factors including how the
mod author has named the map, be it via DEHACKED or otherwise. Also, which version of Doomsday are you using?

If the map author has not provided a new name then the original map name from the IWAD will be used. This is expected behavior. However, we
could change this logic so that if no name is defined then the map identifier (e.g., MAPO1) is used instead.

#2 - 2014-03-13 09:55 - vermil
Dday can only append a pwads level name to a save game if it is changed via a Dehacked patch or Map Info.

It can't append a pwads level name to a save game if only the CWILV graphic is changed, simply because that is a graphic, rather than a text string
like the above two. Thus the Iwad level name is still appended to the save game name in such cases.

Given that the map title at the start of the map, can use the CWILV graphic though, | can envisage that being confusing to users.

May | suggest that Deng team consider that when a pwad includes a CWILV graphic, but not Dehacked or Map Info that changes the map name, that
the level name be completely omitted from the save game name?

#3 - 2014-03-13 10:58 - vermil
To follow on from the above. If a pwad includes no Dehacked, Map Info or CWILV, perhaps the map title could be replaced with the pwad name and

map number?

#4 - 2014-03-13 14:22 - mezlo
- File darken2.pk3 added

Attached is the PWAD I'm currently playing (darken2) which exhibits the issue.

#5 - 2014-03-14 17:15 - skyjake

- Tags changed from Doom, pwad, SaveGame to Doom, SaveGame, PWAD

#6 - 2014-03-14 17:17 - skyjake

- Tags changed from Doom, pwad, SaveGame to Doom, SaveGame

#7 - 2014-03-14 17:18 - skyjake

- Tags changed from Doom, SaveGame to Doom, SaveGame, Mod

#8 - 2017-04-03 14:32 - skyjake
- Category set to User experience

- Target version set to Modding

#9 - 2019-11-29 22:59 - skyjake
- Category changed from User experience to Defect

- Target version changed from Modding to User interface

#10 - 2019-11-29 22:59 - skyjake

- Related to Feature #1203: Additional save slots — revised save management added

Files
darken2.pk3 4.28 MB 2014-03-13 mezlo
